[SWS-994] Upgrade to Java 8, Spring 5, and everything else Created: 04/Oct/17  Updated: 17/Oct/17  Resolved: 17/Oct/17

Status: Closed
Project: Spring Web Services
Component/s: None
Affects Version/s: None
Fix Version/s: 3.0.0.RC1

Type: Improvement Priority: Major
Reporter: Greg Turnquist Assignee: Greg Turnquist
Resolution: Complete Votes: 0
Labels: None
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified

Pull Request URL: https://github.com/spring-projects/spring-ws/pull/92

 Description   

Move the master branch to Spring Web Services 3.0, assuming usage of Java 8, Spring 5, and all other major upgrades.

  • Remove wss4j 1.x line, only using wss4j 2.x
  • Move all other libraries to latest stable versions
  • Upgrade to Gradle 4.0

Generated at Mon Dec 18 07:06:42 UTC 2017 using JIRA 6.4.14#64029-sha1:ae256fe0fbb912241490ff1cecfb323ea0905ca5.